%define pkgname rcairo
Summary:	Cairo module for Ruby
Summary(pl.UTF-8):	Moduł Cairo dla języka Ruby
Name:		ruby-%{pkgname}
Version:	1.12.6
Release:	1
License:	GPL or custom (see COPYING)
Group:		Development/Languages
Source0:	http://cairographics.org/releases/rcairo-%{version}.tar.gz
# Source0-md5:	6e1771916e0c9c466261ba41d5212af3
Patch0:		%{name}-hdr.patch
URL:		http://cairographics.org/rcairo/
BuildRequires:	cairo-devel >= 1.12.0
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.277
BuildRequires:	ruby-devel >= 1:1.8
BuildRequires:	ruby-pkg-config
Requires:	cairo >= 1.12.0
Requires:	ruby >= 1:1.8
# dropped?
Obsoletes:	ruby-rcairo-gtkcairo
%{?ruby_mod_ver_requires_eq}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# TODO: move this to rpm macros.build
%define 	ruby_hdrdir	%(%{__ruby} -r rbconfig -e 'print RbConfig::CONFIG["rubyhdrdir"]')

%description
Cairo module for Ruby.

%description -l pl.UTF-8
Moduł Cairo dla języka Ruby.

%package devel
Summary:	Header file for Ruby rcairo extension
Summary(pl.UTF-8):	Plik nagłówkowy rozszerzenia rcairo dla języka Ruby
Group:		Development/Libraries
Requires:	cairo-devel >= 1.12.0
Requires:	ruby-devel >= 1:1.8

%description devel
Header file for Ruby rcairo extension.

%description devel -l pl.UTF-8
Plik nagłówkowy rozszerzenia rcairo dla języka Ruby.

%prep
%setup -q -n rcairo-%{version}
%patch0 -p1

%build
ruby extconf.rb

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_hdrdir},%{_examplesdir}/%{name}-%{version}}

%{__make} install \
	RUBYLIBDIR=$RPM_BUILD_ROOT%{ruby_rubylibdir} \
	RUBYHDRDIR=$RPM_BUILD_ROOT%{ruby_hdrdir} \
	sitearchdir=$RPM_BUILD_ROOT%{ruby_archdir}

cp -a samples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README.rdoc
%attr(755,root,root) %{ruby_archdir}/cairo.so
%{ruby_rubylibdir}/cairo
%{ruby_rubylibdir}/cairo.rb
%{_examplesdir}/%{name}-%{version}

%files devel
%defattr(644,root,root,755)
%{ruby_hdrdir}/rb_cairo.h
%changelog
* Tue Jun 04 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ruby-rcairo.git;a=log;h=master

* Tue Jun 04 2013 Jakub Bogusz <qboosh@pld-linux.org> f3b7446
- updated to 1.12.6; adjusted to use RbConfig instead of Config

* Mon Jun 04 2012 Jakub Bogusz <qboosh@pld-linux.org> 21b2159
- updated to 1.12.2

* Tue Apr 03 2012 Jakub Bogusz <qboosh@pld-linux.org> 696bee5
- updated to 1.12.1

* Tue Mar 27 2012 Jakub Bogusz <qboosh@pld-linux.org> 5012a0c
- updated to 1.12.0
- header packaged as -devel (depends on cairo and ruby headers)

* Sat Nov 26 2011 Jakub Bogusz <qboosh@pld-linux.org> 3ed0637
- updated to 1.10.2

* Fri Oct 14 2011 Jakub Bogusz <qboosh@pld-linux.org> e1b15b3
- updated to 1.10.1

* Fri Oct 08 2010 Jakub Bogusz <qboosh@pld-linux.org> b9c4d8c
- updated to 1.10.0
- updated hdr patch

* Sat Jul 31 2010 Jan Rękorajski <baggins@pld-linux.org> 8f37f6b
- rel 3
- install header in proper place

* Tue Mar 02 2010 Jan Rękorajski <baggins@pld-linux.org> cce2675
- up to 1.8.1

* Mon Sep 29 2008 Jakub Bogusz <qboosh@pld-linux.org> efbcd6b
- updated to 1.8.0

* Thu Jul 31 2008 Jakub Bogusz <qboosh@pld-linux.org> 4c1b2fb
- updated to 1.6.3

* Mon Jun 16 2008 Jakub Bogusz <qboosh@pld-linux.org> f3021fa
- updated to 1.6.2

* Sat May 10 2008 Jakub Bogusz <qboosh@pld-linux.org> ac5ebe8
- updated to 1.6.1

* Sun Apr 13 2008 Jakub Bogusz <qboosh@pld-linux.org> 3c176d2
- updated to 1.6.0

* Fri Jan 11 2008 Jakub Bogusz <qboosh@pld-linux.org> 1774cbb
- updated to 1.5.1

* Tue May 29 2007 aredridel <aredridel@pld-linux.org> 5d60b6a
- 1.5.0

* Fri Mar 16 2007 Jakub Bogusz <qboosh@pld-linux.org> 3824378
- updated to 1.4.1

* Thu Mar 08 2007 aredridel <aredridel@pld-linux.org> 88aaaf6
- 1.4.0

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 5dae273
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> ded6798
- converted to UTF-8

